
import { _decorator, Component, Node, Camera, v3, v2, toRadian, Slider } from 'cc';
const { executeInEditMode, type, ccclass, property } = _decorator;

@ccclass('Cam')
// @executeInEditMode()
export class Cam extends Component {
    @type(Node)
    camNode : Node = null!;

    @type(Slider)
    slider:Slider = null!;

    angle = 0;
    radius = 15; 

    start() {
        // [3]
    }
    update(deltaTime: number) {
        this.angle += deltaTime*30*this.slider.progress;
        let np = v2(this.radius, 0);
        np.rotate(toRadian(this.angle));
        this.camNode.setPosition(np.x, this.camNode.position.y, np.y);
        this.camNode.lookAt(v3(0, 0, 0));
    }
};